	program budgets
	use define
	implicit none	

	open(1,file='look.txt')
	open(8,file='testing.dat',form='binary',status='unknown')

!Location of terms in output array:
!	read(1)ur,vr,wr,tr,wvr,cr,nc,rr,ir,ni,sr,gr,tker,ro,sst


!	Constants
	rg=287.04
  	cp=3.5*rg
  	cv=717.

	pi = 4.0*atan(1.0)
	
	DO
	read(1,*,END=40)file

	print*,file

	cnt = 0
	open(10,
     &file='/scratch1/stepheng/run5/higrad/asymvortex/'//file,
     &form='unformatted')

	     	do k=1,14
		read(10)n,m,nz,time,dt,rount,iupd
		cnt = cnt +1
		read(10)input

		output(:,:,:,cnt) = input(:,:,:)

		enddo


!	Computing mixed phase pressure
	qvuse = output(:,:,:,5)/output(:,:,:,14)	!water vapor
 	cpmix = cp*(1.+0.94*qvuse)
   	cvmix = cv*(1.+1.07*qvuse)
  	rgmix = rg*(1.+0.61*qvuse)
  	prrcp = 1.e5**(rgmix/cpmix)
  	pres = (output(:,:,:,4)*rgmix/prrcp)**(cpmix/cvmix)
	pres = pres*0.01	!hPa


!	write(15,*)minval(pres(:,:,1)),time
!	print*,minval(pres(:,:,1))


!	write(212,*)file,time,dt


	write(8)output,pres

	close(10)
	ENDDO

40	print*,'COMPLETED HIGRAD PROCESSING'
	end program budgets
